# vim: set sw=4 ts=4 et nu:

Name:               vbrfix
Version:            0.24
Release:            1.6
Summary:            Corrects MP3 files that have incorrect VBR information
Source:             http://archive.ubuntu.com/ubuntu/pool/universe/v/vbrfix/vbrfix_%{version}.orig.tar.gz
Patch1:             vbrfix-exit-error-code.diff
Patch2:             vbrfix-fix-endianness.diff
Patch3:             vbrfix-fix-typos.diff
Patch4:             vbrfix-gcc-4.3.diff
URL:                http://www.willwap.co.uk/Programs/vbrfix.php
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
Provides:           vbrfixc = %{version}-%{release}

%description
In an average song there are points that require high quality and points
that require low quality (i.e. silence).

Instead of having the whole file at, say, 160kbps CBR (Constant Bit Rate),
we can use VBR (Variable Bit Rate). This allows us to have use low bitrates
at points that does not require high quality (were a higher bitrate would
not affect the sound heard) and high bitrates when needed. The result is
usually a smaller MP3 file, with higher quality.

Unfortunately, the many MP3 decoders estimate the time of a MP3 file based
on the first bitrate they find and the filesize. This means that the
"prediction" used by such decoders is wildly wrong with VBR encoded files
and, as a result, you can get fairly random times for such songs.

As most songs start with silence you usually get the song length being
shown as much longer than it should be. Also when you jump through a
file encoded in VBR, 50% through the file is usually not 50% through the
song.

A VBR null frame is placed at the beginning of the file to tell the MP3
player information about the song length and indexing through the song.

The problem arises because some poor encoders don't produce this null
frame or do so incorrectly and this is what vbrfix attempts to fix.

Vbrfix can also fix other problems with MP3s as it deletes all non-MP3
content (you can keep tags that you state, though).  It can also help
when merging two VBR MP3s together with a merging tool and then needing
a newly calculated VBR null frame.

%prep
%setup -q -n "vbrfixc-%{version}"
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/vbrfixc

%changelog
* Mon Jan  2 2012 pascal.bleser@opensuse.org
- initial version (0.24)
